PLplot: plgridd.c File Reference

PLplot 5.15.0

Classes | Macros | Typedefs | Functions | Variables
plgridd.c File Reference
`#include "plplotP.h"`
`#include "../lib/csa/nan.h"`

Go to the source code of this file.

## Classes
struct | pt

## Macros
#define | KNN_MAX_ORDER 100

## Typedefs
typedef struct pt | PT

## Functions
static void | grid_nnaidw (PLFLT_VECTOR x, PLFLT_VECTOR y, PLFLT_VECTOR z, int npts, PLFLT_VECTOR xg, int nptsx, PLFLT_VECTOR yg, int nptsy, PLF2OPS zops, PLPointer zgp)
static void | grid_nnli (PLFLT_VECTOR x, PLFLT_VECTOR y, PLFLT_VECTOR z, int npts, PLFLT_VECTOR xg, int nptsx, PLFLT_VECTOR yg, int nptsy, PLF2OPS zops, PLPointer zgp, PLFLT threshold)
static void | grid_nnidw (PLFLT_VECTOR x, PLFLT_VECTOR y, PLFLT_VECTOR z, int npts, PLFLT_VECTOR xg, int nptsx, PLFLT_VECTOR yg, int nptsy, PLF2OPS zops, PLPointer zgp, int knn_order)
static void | dist1 (PLFLT gx, PLFLT gy, PLFLT_VECTOR x, PLFLT_VECTOR y, int npts, int knn_order)
static void | dist2 (PLFLT gx, PLFLT gy, PLFLT_VECTOR x, PLFLT_VECTOR y, int npts)
void | c_plgriddata (PLFLT_VECTOR x, PLFLT_VECTOR y, PLFLT_VECTOR z, PLINT npts, PLFLT_VECTOR xg, PLINT nptsx, PLFLT_VECTOR yg, PLINT nptsy, PLFLT **zg, PLINT type, PLFLT data)
void | plfgriddata (PLFLT_VECTOR x, PLFLT_VECTOR y, PLFLT_VECTOR z, PLINT npts, PLFLT_VECTOR xg, PLINT nptsx, PLFLT_VECTOR yg, PLINT nptsy, PLF2OPS zops, PLPointer zgp, PLINT type, PLFLT data)

## Variables
static PT | items [KNN_MAX_ORDER]

## Macro Definition Documentation

## ◆ KNN_MAX_ORDER

#define KNN_MAX_ORDER 100

Definition at line 83 of file plgridd.c.

## Typedef Documentation

## ◆ PT

typedef struct pt PT

## Function Documentation

## ◆ c_plgriddata()

void c_plgriddata | ( | PLFLT_VECTOR | x,
|  | PLFLT_VECTOR | y,
|  | PLFLT_VECTOR | z,
|  | PLINT | npts,
|  | PLFLT_VECTOR | xg,
|  | PLINT | nptsx,
|  | PLFLT_VECTOR | yg,
|  | PLINT | nptsy,
|  | PLFLT ** | zg,
|  | PLINT | type,
|  | PLFLT | data
| ) |  |

Definition at line 119 of file plgridd.c.

## ◆ dist1()

static void dist1 | ( | PLFLT | gx,
|  | PLFLT | gy,
|  | PLFLT_VECTOR | x,
|  | PLFLT_VECTOR | y,
|  | int | npts,
|  | int | knn_order
| ) |  |
| static

Definition at line 723 of file plgridd.c.

## ◆ dist2()

static void dist2 | ( | PLFLT | gx,
|  | PLFLT | gy,
|  | PLFLT_VECTOR | x,
|  | PLFLT_VECTOR | y,
|  | int | npts
| ) |  |
| static

Definition at line 773 of file plgridd.c.

## ◆ grid_nnaidw()

static void grid_nnaidw | ( | PLFLT_VECTOR | x,
|  | PLFLT_VECTOR | y,
|  | PLFLT_VECTOR | z,
|  | int | npts,
|  | PLFLT_VECTOR | xg,
|  | int | nptsx,
|  | PLFLT_VECTOR | yg,
|  | int | nptsy,
|  | PLF2OPS | zops,
|  | PLPointer | zgp
| ) |  |
| static

Definition at line 535 of file plgridd.c.

## ◆ grid_nnidw()

static void grid_nnidw | ( | PLFLT_VECTOR | x,
|  | PLFLT_VECTOR | y,
|  | PLFLT_VECTOR | z,
|  | int | npts,
|  | PLFLT_VECTOR | xg,
|  | int | nptsx,
|  | PLFLT_VECTOR | yg,
|  | int | nptsy,
|  | PLF2OPS | zops,
|  | PLPointer | zgp,
|  | int | knn_order
| ) |  |
| static

Definition at line 293 of file plgridd.c.

## ◆ grid_nnli()

static void grid_nnli | ( | PLFLT_VECTOR | x,
|  | PLFLT_VECTOR | y,
|  | PLFLT_VECTOR | z,
|  | int | npts,
|  | PLFLT_VECTOR | xg,
|  | int | nptsx,
|  | PLFLT_VECTOR | yg,
|  | int | nptsy,
|  | PLF2OPS | zops,
|  | PLPointer | zgp,
|  | PLFLT | threshold
| ) |  |
| static

Definition at line 356 of file plgridd.c.

## ◆ plfgriddata()

void plfgriddata | ( | PLFLT_VECTOR | x,
|  | PLFLT_VECTOR | y,
|  | PLFLT_VECTOR | z,
|  | PLINT | npts,
|  | PLFLT_VECTOR | xg,
|  | PLINT | nptsx,
|  | PLFLT_VECTOR | yg,
|  | PLINT | nptsy,
|  | PLF2OPS | zops,
|  | PLPointer | zgp,
|  | PLINT | type,
|  | PLFLT | data
| ) |  |

Definition at line 127 of file plgridd.c.

## Variable Documentation

## ◆ items

PT items[KNN_MAX_ORDER]
| static

Definition at line 91 of file plgridd.c.